Part Circle/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Vedere Part Primitive.")
(Created page with "In alternativa è possibile creare un cerchio parziale selezionando tre punti: # Nel pannello delle azioni del comando 16px Part Primitive selezionare l'opzione {{MenuCommand|16px Cerchio}} dal menu a tendina. # Premere il pulsante {{Button|Da tre punti}}. # Selezionare tre vertici nella Vista 3D. Non è necessario tenere premuto il tasto {{KEY|Ctrl}}. # Viene creato un cerchio....")
Line 32: Line 32:
Vedere [[Part_Primitives/it#Utilizzo|Part Primitive]].
Vedere [[Part_Primitives/it#Utilizzo|Part Primitive]].


In alternativa è possibile creare un cerchio parziale selezionando tre punti:
A Part Circle can alternatively be created by selecting three points:
# In the task panel of the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command select the {{MenuCommand|[[Image:Part_Circle.svg|16px]] Circle}} option from the dropdown list.
# Nel pannello delle azioni del comando [[Image:Part_Primitives.svg|16px]] [[Part_Primitives/it|Part Primitive]] selezionare l'opzione {{MenuCommand|[[Image:Part_Circle.svg|16px]] Cerchio}} dal menu a tendina.
# Press the {{Button|From three points}} button.
# Premere il pulsante {{Button|Da tre punti}}.
# Select three vertices in the [[3D_view|3D view]]. There is no need to hold down the {{KEY|Ctrl}} key.
# Selezionare tre vertici nella [[3D_view/it|Vista 3D]]. Non è necessario tenere premuto il tasto {{KEY|Ctrl}}.
# A circle is created.
# Viene creato un cerchio.
# The selected vertices are only used at creation time to calculate the {{PropertyData|Radius}} and {{PropertyData|Placement}} of the circle.
# I vertici selezionati vengono utilizzati solo al momento della creazione per calcolare il {{PropertyData|Radius}} e il {{PropertyData|Placement}} del cerchio.


== Example ==
<span id="Example"></span>
== Esempio ==


[[Image:Part_Circle_Scripting_Example.png|thumb|Part Circle from the scripting example]]
[[Image:Part_Circle_Scripting_Example.png|thumb|Part Circle from the scripting example]]

Revision as of 22:37, 5 January 2024

Part Cerchio

Posizione nel menu
Parte → Crea primitive → Cerchio
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Un Part Cerchio è una forma parametrica che può essere creata con il comando Part Primitive . Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, il cerchio giace sul piano XY con il centro nell'origine.

Un Part Cerchio è infatti un arco circolare chiuso in senso antiorario, può essere trasformato in un arco modificando le sue proprietà DatiAngle1 e/o DatiAngle2.

Utilizzo

Vedere Part Primitive.

In alternativa è possibile creare un cerchio parziale selezionando tre punti:

  1. Nel pannello delle azioni del comando Part Primitive selezionare l'opzione Cerchio dal menu a tendina.
  2. Premere il pulsante Da tre punti.
  3. Selezionare tre vertici nella Vista 3D. Non è necessario tenere premuto il tasto Ctrl.
  4. Viene creato un cerchio.
  5. I vertici selezionati vengono utilizzati solo al momento della creazione per calcolare il DatiRadius e il DatiPlacement del cerchio.

Esempio

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Proprietà

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • Raggio: il raggio del bordo curvo (arco o cerchio)
  • Angolo 1: inizio del bordo curvo, (gradi in senso antiorario), il valore di default è 0
  • Angolo 2: fine del bordo curvo (gradi in senso antiorario), il valore di default è 360

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()